.\"
.\"     $Id: wolfinfo.man,v 1.4 2002/03/21 03:07:11 solyga Exp $
.\"
.TH [%s PRG_NAME] [%d MANUAL_NUMBER] "[%s DATE_OF_LAST_MOD]" "Version [%s VERSION_NUMBER]" "[%s MANUAL_SECTION_STR]"
.SH NAME
[%s prg_name] \- retrieve information from RtCW-servers/masters
.SH SYNOPSIS
.B [%s prg_name]
.RB [ -hlLvV ]
.RI [ host [ :port ]]
.RB [ -a
.IR attempts ]
.RB [ -c
.IR "color mode" ]
.RB [ -f
.IR format ]
.RB [ -m
.IR master ]
.RB [ -o
.IR protocol ]
.RB [ -p
.IR port ]
.RB [ -t
.IR timeout ]
.SH DESCRIPTION
.I [%s Prg_name]
retrieves host lists from RtCW master servers or game infos
from RtCW game servers and writes it to
.IR [%s STD_CHANNEL_STR] .

If the
.B -l
or the
.B -L
flag is set
.B [%s prg_name]
contacts RtCW master servers and generates a simple game server list
from their responses - in the first case without checking these
game servers. The masters may be specified with
.BR -m .
By default, only one master is contacted, currently
.IR [%s DEFAULT_MNAME] : [%d DEFAULT_MPORT] .
Game servers given by argument are just added to the list.
This may be useful for persons prefering hostnames instead
of numbers (a master server has no clue on names).

If neither the
.B -l
nor the
.B -L
flag is set
.B [%s prg_name]
contacts the game server(s) given on the command line by
.I host:port
where
.I port
may be omitted and defaults to
.IR [%d DEFAULT_SPORT] .
If no game server is specified
.B [%s prg_name]
first contacts all masters for building an internal host list.
The output format of the game infos can be controlled by specifying a
.I format
with
.BR -f .
Additionally the appearance of colored names may be
influenced by
.I color mode
with 
.BR -c .

When contacting game servers the minimum number of
.I attempts
for reaching a host and a
.I timeout
may be specified by
.B -a
and
.BR -t ,
respectively. Every game server is contatced at least
.I attempts
times and each time a request is sent
.B [%s prg_name]
waits
.I timeout
seconds for a response.

.SH OPTIONS
.TP
.B -h
display some helpful information (on
.IR [%s HELP_CHANNEL_STR] )
and exit successfully
.TP
.B -l
list game servers provided by master(s) without a check
.TP
.B -L
list game servers which
replied on an info and/or status request
.TP
.B -v
increase verbosity level (for
.IR [%s VERBOSE_CHANNEL_STR] )
by one; may be specified several times
.TP
.B -V
display version and compilation info (on
.IR [%s VERSION_CHANNEL_STR] )
and exit successfully
.TP
.BI "\-a " attempts
contact each game server at least
.I attempts
times if necessary (default
.IR [%d DEFAULT_ATTEMPTS] )
.TP
.BI "\-c " "color mode"
change the appearance of colored names;
0 = print as is;
1 = skip color escape sequences (useful in conjunction with
.BR grep );
2 = normal colored characters (for xterms);
3 = bold colored characters (for console);
default is
.I [%d DEFAULT_COLOR_MODE]
.TP
.BI "\-f " format
change the output format for game server infos, see
.B PRINT FORMAT
below
.TP
.BI "\-m " master
use the master server
.I master
instead of
.IR [%s DEFAULT_MNAME] : [%d DEFAULT_MPORT] ;
for more than one master server, specify the flag
several times
.TP
.BI "\-o " proto
request list for protocol number
.I proto
game servers from master(s) (default
.IR [%d DEFAULT_PROTO] )
.TP
.BI "\-p " port
use local port
.I port
(default 
.IR [%d DEFAULT_LPORT] )
.TP 
.BI "\-t " timeout
wait at most
.I timeout
seconds for a game server response (default
.IR [%d DEFAULT_STIMEOUT] )

.SH PRINT FORMAT
Beside normal characters (for instance '.' and 'Z') and control characters
(for instance '\\t' and '\\n') which are printed as specified,
the
.I format
string may contain special control sequences which are replaced by
suitable game server infos (as available). The following
sequences are currently supported:
.TP
.I %%
the '%' itself
.TP
.I %[%c GFORMAT_HOST]
hostname (from internal hostlist)
.TP
.I %[%c GFORMAT_PORT]
port (from internal hostlist)
.TP
.I %[%c GFORMAT_LINE]
terminated sequence of 80 '-'
.TP
.I %[%c IFORMAT_ALL]
raw info response
.TP
.I %[%c IFORMAT_PROTO]
protocol number (from info response)
.TP
.I %[%c IFORMAT_SERVER]
(possibly colored) game server name (from info response)
.TP
.I %[%c IFORMAT_MAP]
map name without extension .bsp (from info response)
.TP
.I %[%c IFORMAT_CLIENTS]
number of clients connected to game server (from info response)
.TP
.I %[%c IFORMAT_MAXCLIENTS]
maximum number of clients that may connect (from info response)
.TP
.I %[%c IFORMAT_GAMETYPE]
gametype (from info response)
.TP
.I %[%c IFORMAT_GAMESKILL]
gameskill (from info response)
.TP
.I %[%c IFORMAT_FRIENDLY]
friendly fire (from info response)
.TP
.I %[%c IFORMAT_MAXLIVES]
maximum number of lives (from info response)
.TP
.I %[%c IFORMAT_TOURNEY]
tourney (from info response)
.TP
.I %[%c IFORMAT_PUNK]
punk buster (from info response)
.TP
.I %[%c SFORMAT_ALL]
raw status response
.TP
.I %[%c SFORMAT_VERSION]
game server version (from status response)
.TP
.I %[%c SFORMAT_TIMELIMIT]
timlimit (from status response)
.TP
.I %[%c SFORMAT_PLAYERS]
(possibly colored) player names (from status response)

.SH RETURN VALUE
On success, [%d RETVAL_OK] is returned. On error, a value >0 is returned.

.SH ERRORS
.TP
.B [%d RETVAL_BUG]
a program bug has seen the light (drop me a mail)
.TP
.B [%d RETVAL_ERROR]
the error is different from those explained above

.SH EXAMPLES
Retrieve a listing of RtCW game servers from
[%s DEFAULT_MNAME]:[%d DEFAULT_MPORT], explicitely include
the game server at [%s DEFAULT_SNAME]:[%d DEFAULT_SPORT]
and be very talkative:

.B [%s prg_name]
-lvvv [%s DEFAULT_SNAME] |
.B sort
-n |
.B less

Print the same list but also contact the servers and skip those which couldn't be reached:

.B [%s prg_name]
-Lvvv [%s DEFAULT_SNAME] |
.B sort
-n |
.B less

Generate a hostlist similar to the one from within the game:

.B [%s prg_name] 
-f '%H:%P\\t%n %#(%^) %m\\n'

List game servers sorted by map:

.B [%s prg_name]
-f '%m\\t%H:%P\\t%#(%^)\\n' |
.B sort
|
.B less

Find player named 'Schwanzus^Longus' with various colors (remember
that '^' is a special character for grep):

.B [%s prg_name]
-vc 1
-f '%H:%P\\t%p\\n' |
.BR grep " 'Schwanzus.Longus'"

.SH AUTHOR
[%s MY_EMAIL_ADDRESS]

.SH SEE ALSO
.BR qstat (1)
